/*****************************/
/* Testbench for Code 5.14   */
/*****************************/
module tb_multiplier_8b ;
  parameter size = 8, longsize = 16;
  reg  [size:1]     opa, opb;
  wire [longsize:1] result;
  
   multiplier_8b U0 (
                     .opa(opa), 
                     .opb(opb), 
                     .result(result)
                     );
   
    initial begin  
          opa = 8'b0000_0000;
          opb = 8'b0000_0000;
      #20 opa = 8'b0000_0001;
      #20 opb = 8'b0000_0010;
      #20 opa = 8'b0000_0100;
      #20 opb = 8'b0001_0000;
      #20 opb = 8'b0000_0011;
      #20 opa = 8'b1111_1111;
      #20 opb = 8'b1111_1111;
      #20;
    end
        
endmodule